## quota 1.55

=== Makefile ===
PROGS         = quotacheck quotaon quota repquota warnquota quotastats edquota #rpc.rquotad 
CFLAGS       += -O6 -fexpensive-optimizations -fstrength-reduce #-DRPC -DEXT2_DIRECT
EXT2LIBS      = #-lext2fs -lcom_err
BSDLIBS       = -lbsd
RPCSRC        = rquota.h rquota_xdr.c rquota_clnt.c
VERSIONDEF    = -DQUOTA_VERSION=\"1.55\"
LDFLAGS       = -s
INSTALL       = install
ROOTDIR       =
SUPER_OWNER   = root
BIN_OWNER     = bin
BIN_GROUP     = bin
DEF_SUID_MODE = 4511
DEF_SBIN_MODE = 555
DEF_MAN_MODE  = 444

all: $(PROGS)

clean:
	-rm -f core *.o

clobber:
	-rm -f core *.o $(PROGS)

install: all 
	-$(INSTALL) -o $(BIN_OWNER) -g $(BIN_GROUP) -m $(DEF_SBIN_MODE) \
	quotacheck edquota quotaon repquota warnquota quotastats $(ROOTDIR)/usr/sbin
	$(LN) quotaon $(ROOTDIR)/usr/sbin/quotaoff
	chown $(BIN_OWNER).$(BIN_GROUP) $(ROOTDIR)/usr/sbin/quotaoff
	-$(INSTALL) -o $(BIN_OWNER) -g bin -m 644 rquota.h rquota.x $(ROOTDIR)/usr/include/rpcsvc
	-$(INSTALL) -o $(SUPER_OWNER) -g $(BIN_GROUP) -m $(DEF_SUID_MODE) quota $(ROOTDIR)/usr/ucb
	-$(INSTALL) -o $(BIN_OWNER) -g $(BIN_GROUP) -m $(DEF_MAN_MODE) *.1 $(ROOTDIR)/usr/man/man1
	-$(INSTALL) -o $(BIN_OWNER) -g $(BIN_GROUP) -m $(DEF_MAN_MODE) *.2 $(ROOTDIR)/usr/man/man2
	-$(INSTALL) -o $(BIN_OWNER) -g $(BIN_GROUP) -m $(DEF_MAN_MODE) *.3 $(ROOTDIR)/usr/man/man3
	-$(INSTALL) -o $(BIN_OWNER) -g $(BIN_GROUP) -m $(DEF_MAN_MODE) *.8 $(ROOTDIR)/usr/man/man8

quotaon: quotaon.o quotactl.o hasquota.o
	$(CC) $(LDFLAGS) -o $@ quotaon.o quotactl.o hasquota.o

quotacheck: quotacheck.o quotactl.o hasquota.o
	$(CC) $(LDFLAGS) -o $@ quotacheck.o quotactl.o hasquota.o $(EXT2LIBS)

quota: rquota.h quota.o quotactl.o rquota_clnt.o rquota_xdr.o hasquota.o
	$(CC) $(LDFLAGS) -o $@ quota.o quotactl.o rquota_clnt.o \
	rquota_xdr.o hasquota.o

repquota: repquota.o quotactl.o hasquota.o
	$(CC) $(LDFLAGS) -o $@ repquota.o quotactl.o hasquota.o

warnquota: warnquota.o quotactl.o hasquota.o
	$(CC) $(LDFLAGS) -o $@ warnquota.o quotactl.o hasquota.o

quotastats: quotastats.o quotactl.o
	$(CC) $(LDFLAGS) -o $@ quotastats.o quotactl.o

edquota: pathnames.h edquota.o quotactl.o  hasquota.o
	$(CC) $(LDFLAGS) -o $@ edquota.o quotactl.o hasquota.o

rpc.rquotad: rquota.h rquota_server.o rquota_svc.o rquota_xdr.o quotactl.o hasquota.o
	$(CC) $(LDFLAGS) -o $@ rquota_server.o rquota_svc.o rquota_xdr.o \
	quotactl.o hasquota.o $(BSDLIBS)

quota.o: quota.c
	$(CC) $(CFLAGS) $(VERSIONDEF) -c quota.c -o $@

rquota.h:
	$(RPCGEN) -h -o $@ rquota.x

rquota_xdr.c:
	$(RPCGEN) -c -o $@ rquota.x

rquota_clnt.c:
	$(RPCGEN) -l -o $@ rquota.x

## quota 4.03

=== debian/changelog ===
quota (4.03-2) unstable; urgency=medium

  * With systemd only test after installation, the rest is handled by systemd.
    (Closes: #753939, #780977, #788963)
  * Bumped Standards-Version to 3.9.7, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sun, 06 Mar 2016 15:57:40 +0100

quota (4.03-1) unstable; urgency=medium

  * Imported Upstream version 4.03
  * Updated watch file
  * Do not run quota service until local-fs.target has been fulfilled.
    Thanks to Simone Rossetto <simros85@gmail.com> (Closes: #793600)
  * Move tirpc library linking from LDFLAGS to LIBS. (Closes: #794190)
  * Changed source code format to version 3.0 (quilt) and debhelper compat
    level to 9.
  * Added autoreconf to build process.

 -- Michael Meskes <meskes@debian.org>  Mon, 11 Jan 2016 14:42:05 +0100

quota (4.02-1) unstable; urgency=medium

  * Imported Upstream version 4.02
  * Removed patches that were applied upstream.

 -- Michael Meskes <meskes@debian.org>  Fri, 27 Feb 2015 13:28:19 +0100

quota (4.01-8) unstable; urgency=medium

  * Use libtirpc include files to prevent a segfault due to incompatible
    structure definition.
    Thanks to Christian Seiler <christian@iwakd.de> (Closes: #777564)
  * Fixed typos in German translation. (Closes: #754181)
  * Bumped Standards-Version to 3.9.6, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Tue, 10 Feb 2015 10:48:57 +0100

quota (4.01-7) unstable; urgency=medium

  * Made quota work on systems without rpcbind installed by lessening the
    dependency in quotarpc.service. (Closes: #753046)
  * Correctly use dh_systemd debhelper commands as per #753108

 -- Michael Meskes <meskes@debian.org>  Sun, 06 Jul 2014 15:32:00 +0200

quota (4.01-6) unstable; urgency=medium

  * Make sure new scripts are executable. (Closes: #752067)

 -- Michael Meskes <meskes@debian.org>  Thu, 19 Jun 2014 11:21:58 +0200

quota (4.01-5) unstable; urgency=medium

  * Fixed output redirection.
  * Improve recognition of quota enabled filesystems. (Closes: #751900)

 -- Michael Meskes <meskes@debian.org>  Wed, 18 Jun 2014 12:15:20 +0200

quota (4.01-4) unstable; urgency=medium

  * Added upstream patch to clarify the term 'block' in the manpage.
    (Closes: #742696)
  * Also check for exports via files in /etc/exports.d.
    Thanks to Ash Berlin <ash.berlin@gmail.com> (Closes: #721070)
  * Stop depending on portmap which no longer exists. (Closes: #710581)
  * Bumped Standards-Version to 3.9.5, no changes needed.
  * Improve detection of quota enabled filesystems. (Closes: #743163)
  * Added service file for systemd.
  * Handle quota boot option in boot scripts.

 -- Michael Meskes <meskes@debian.org>  Fri, 13 Jun 2014 11:09:48 +0200

quota (4.01-3) unstable; urgency=low

  * Re-added changes from 4.00-4 that were lost somehow. (Closes: #696788)

 -- Michael Meskes <meskes@debian.org>  Thu, 27 Dec 2012 12:08:22 +0100

quota (4.01-2) unstable; urgency=low

  * Run warnquota for users and groups. (Closes: #694818)
  * Build package against libtirpc to make quota work with NFS over IPv6.
    (Closes: #693983)

 -- Michael Meskes <meskes@debian.org>  Sat, 08 Dec 2012 14:16:47 +0100

quota (4.01-1) unstable; urgency=low

  * Imported Upstream version 4.01 (Closes: #685356)
  * Adjusted patch for new upstream version.
  * Bumped Standards-Version to 3.9.3, no changes needed.
  * Use Debian build flags.

 -- Michael Meskes <meskes@debian.org>  Mon, 10 Sep 2012 12:51:40 +0200

quota (4.00-4) unstable; urgency=low

  * Added upstream patch to fix problem with editing of several users.
    (Closes: #670641)
  * Updated packages description which was pretty outdated.
    Thanks to Justin B Rye <jbr@edlug.org.uk> (Closes: #673396)

 -- Michael Meskes <meskes@debian.org>  Wed, 23 May 2012 18:35:45 +0200

quota (4.00-3) unstable; urgency=low

  * Port to libnl3 version 3.2.3+.
    Thanks to Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com> (Closes: #653096)
  * Fixed query for quota status. (LP: #861346)

 -- Michael Meskes <meskes@debian.org>  Wed, 28 Dec 2011 15:36:52 +0100

quota (4.00-2) unstable; urgency=low

  * Updated Dutch debconf translation. (Closes: #652351)
  * Suggest installing an MTA so warnquota can send out emails.
    (Closes: #645250)
  * When checking for quota enabled filesystems also check for not-enforced
    quota on XFS. (Closes: #648961)

 -- Michael Meskes <meskes@debian.org>  Thu, 22 Dec 2011 12:23:13 +0100

quota (4.00-1) unstable; urgency=low

  * New Upstream version 4.00
  * Port to libnl3.
    Thanks to Colin Watson <cjwatson@ubuntu.com> (Closes: #637117)
  * Fixed lintian override to use new format.
  * Bumped Standards-Version to 3.9.2, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Wed, 24 Aug 2011 10:46:31 +0200

quota (4.00~pre1-7) unstable; urgency=low

  * Updated Catalan debconf templates translation. (Closes: #609361)

 -- Michael Meskes <meskes@debian.org>  Sun, 09 Jan 2011 14:00:29 +0100

quota (4.00~pre1-6) unstable; urgency=low

  * Re-uploaded without dh_prep addition that was lost in -5 to make sure the
    package can migrate to squeeze.

 -- Michael Meskes <meskes@debian.org>  Thu, 18 Nov 2010 20:18:16 +0100

quota (4.00~pre1-5) unstable; urgency=low

  * Updated Danish debconf templates translation. (Closes: #601793)

 -- Michael Meskes <meskes@debian.org>  Wed, 03 Nov 2010 10:58:37 +0100

quota (4.00~pre1-4) unstable; urgency=low

  * Updated Brazilian Portuguese debconf templates translation. (Closes:
    #582970)
  * Added some patches from CVS:
    - fix quotaon to work properly with XFS filesystems
    - fix quotaon to print all informational messages only in verbose mode
    - fix repquota to get latest quota info header
    - fix some problems in manpages
  * Bumped Standards-Version to 3.9.1, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Wed, 28 Jul 2010 11:38:28 +0200

quota (4.00~pre1-3) unstable; urgency=low

  * Added two more patches from CVS:
    - Added support for GFS2 filesystem.


=== debian/control ===
Source: quota
Section: admin
Priority: optional
Maintainer: Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 9), dh-systemd (>= 1.5), gettext, libwrap0-dev,
	       e2fslibs-dev, po-debconf (>= 0.5.0), libldap2-dev, libssl-dev,
	       quilt (>= 0.46-7), libnl-3-dev, libnl-genl-3-dev, libdbus-1-dev,
	       libtirpc-dev, dh-autoreconf
Standards-Version: 3.9.7
Homepage: http://sourceforge.net/projects/linuxquota

Package: quota
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, lsb-base (>= 3.2-13)
Suggests: libnet-ldap-perl, rpcbind,  default-mta | mail-transport-agent
Description: disk quota management tools
 This package provides the standard set of utilities for manipulating
 file system usage caps via the Linux Diskquota system. It can set hard
 or soft limits with adjustable grace periods on block or inode usage for
 users and groups. It allows users to check their quota status,
 integrates with LDAP, and supports quotas on remote machines via NFS.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS_DEF = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS_DEF += -D_GNU_SOURCE -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64

CPPFLAGS_DEF = $(shell dpkg-buildflags --get CPPFLAGS)

LDFLAGS_DEF = $(shell dpkg-buildflags --get LDFLAGS)

configure: configure-stamp
configure-stamp:
	dh_testdir
	dh_autoreconf
	# Add here commands to configure the package.
	( [ "`dpkg --print-architecture`" = "powerpc" ] && CFLAGS_DEF += -D__BYTEORDER_HAS_U64__; \
	  export CFLAGS="$(CFLAGS_DEF) -I/usr/include/tirpc" CPPFLAGS="$(CPPFLAGS_DEF)" LDFLAGS="$(LDFLAGS_DEF)" LIBS="-ltirpc"; \
 	  ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc --enable-rpcsetquota=yes)

	touch configure-stamp

build: build-stamp
build-stamp: configure
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) CFLAGS="$(CFLAGS_DEF) -I/usr/include/tirpc" 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp *~ debian/*~ stamp-h1 configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	debconf-updatepo

	dh_autoreconf_clean
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/quota.
	$(MAKE) DESTDIR=`pwd`/debian/quota install

	-mv `pwd`/debian/quota/usr/sbin/quotacheck `pwd`/debian/quota/sbin
	-mv `pwd`/debian/quota/usr/sbin/quotaon `pwd`/debian/quota/sbin
	-mv `pwd`/debian/quota/usr/sbin/quotaoff `pwd`/debian/quota/sbin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	-chmod 755 `pwd`/debian/quota/usr/share/quota/ldap/setquota-ldap.pl
	-chmod 755 `pwd`/debian/quota/usr/share/quota/*.sh
	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_systemd_enable quota.service
	dh_systemd_enable --name=quotarpc quotarpc.service
	dh_installinit --no-start
	dh_installinit --name=quotarpc
	dh_systemd_start --no-start 
	dh_systemd_start --name=quotarpc
	#
	# dh_installinit cannot be configured to not install the defaults
	# file for quotarpc, so we have to manually delete it
	#
	-rm -rf `pwd`/debian/quota/etc/default/quotarpc
	dh_installcron
	dh_installman
	# remove man pages already in libc
	-rm -rf `pwd`/debian/quota/usr/share/man/man2
	# and include files in libc-dev
	-rm -rf `pwd`/debian/quota/usr/include
	dh_installinfo
	dh_installchangelogs Changelog
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

%:      %pod
	pod2man \
		--section=`echo $@ | sed 's/^.*\.//'` \
		--center="Debian GNU/Linux manual"\
		--date="Debian Project"\
		--release="`date '+%B %Y'`" \
	$< >,$@ && mv -f ,$@ $@;\
	rm -f ,$@

=== debian/watch ===
version=3
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=sf/linuxquota \
.*=quota(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## quota 4.04

=== debian/changelog ===
quota (4.04-2ubuntu0.1) bionic; urgency=medium

  * d/p/lp-1774431-fix-Listen-on-a-TCP-socket.patch: avoid issues with TCP
    sockets hogging quota at 100% cpu (LP: #1774431 Can be dropped next
    release >4.04 as the patch is upstream already).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 04 Jun 2018 09:13:16 +0200

quota (4.04-2) unstable; urgency=medium

  * Bumped Standards-Version to 4.1.3, no changes needed.
  * Prevent quotacheck from running into an endless loop.
    Thanks to Christoph Biedl <debian.axhn@manchmal.in-ulm.de> (Closes: #888586)

 -- Michael Meskes <meskes@debian.org>  Thu, 01 Feb 2018 12:53:43 +0100

quota (4.04-1) unstable; urgency=medium

  * Switch to debhelper 11
  * Bumped Standards-Version to 4.1.2, no changes needed.
  * Added hardening options.
  * Updated watch file.
  * New upstream version 4.04

 -- Michael Meskes <meskes@debian.org>  Sat, 30 Dec 2017 12:27:36 +0100

quota (4.03-3) unstable; urgency=medium

  * Removed spurious build dep on openssl. (Closes: #854865)
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Fix FTCBFS while cross building by letting dh_auto_configure pass --host to
    ./configure and determining CFLAGS_DEF based on the host rather than build
    arch.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #843501)

 -- Michael Meskes <meskes@debian.org>  Mon, 01 May 2017 14:00:03 +0200

quota (2.00-2) unstable; urgency=high

  * based upon 2.00-pre10 release
  * added some typos
  * fixed init.d quoting bug (closes: #67235, #71318)

 -- Michael Meskes <meskes@debian.org>  Sun, 17 Sep 2000 18:10:50 -0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: quota
 Section: admin
 Priority: optional
-Maintainer: Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 9), dh-systemd (>= 1.5), gettext, libwrap0-dev,
-	       e2fslibs-dev, po-debconf (>= 0.5.0), libldap2-dev, libssl-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Meskes <meskes@debian.org>
+Build-Depends: debhelper (>= 11), gettext, libwrap0-dev,
+	       e2fslibs-dev, po-debconf (>= 0.5.0), libldap2-dev,
 	       quilt (>= 0.46-7), libnl-3-dev, libnl-genl-3-dev, libdbus-1-dev,
-	       libtirpc-dev, dh-autoreconf
-Standards-Version: 3.9.7
+	       libtirpc-dev
+Standards-Version: 4.1.3
 Homepage: http://sourceforge.net/projects/linuxquota
 
 Package: quota

## quota 4.05

=== debian/changelog ===
quota (4.05-1) unstable; urgency=medium

  * New upstream version 4.05
  * Bumped Standards-Version to 4.3.0, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Tue, 09 Apr 2019 10:12:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: quota
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Meskes <meskes@debian.org>
+Maintainer: Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 11), gettext, libwrap0-dev,
 	       e2fslibs-dev, po-debconf (>= 0.5.0), libldap2-dev,
 	       quilt (>= 0.46-7), libnl-3-dev, libnl-genl-3-dev, libdbus-1-dev,
 	       libtirpc-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: http://sourceforge.net/projects/linuxquota
 
 Package: quota
@@ -20,4 +19,3 @@
  or soft limits with adjustable grace periods on block or inode usage for
  users and groups. It allows users to check their quota status,
  integrates with LDAP, and supports quotas on remote machines via NFS.
-

=== debian/rules ===
--- 
+++ 
@@ -5,21 +5,24 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CFLAGS_DEF = $(shell dpkg-buildflags --get CFLAGS)
-CFLAGS_DEF += -D_GNU_SOURCE -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
 
-CPPFLAGS_DEF = $(shell dpkg-buildflags --get CPPFLAGS)
+include /usr/share/dpkg/buildflags.mk
 
-LDFLAGS_DEF = $(shell dpkg-buildflags --get LDFLAGS)
+include /usr/share/dpkg/architecture.mk
+
+CFLAGS += -D_GNU_SOURCE -Wall -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/tirpc
+ifeq ($(DEB_HOST_ARCH),powerpc)
+CFLAGS += -D__BYTEORDER_HAS_U64__
+endif
 
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 	dh_autoreconf
 	# Add here commands to configure the package.
-	( [ "`dpkg --print-architecture`" = "powerpc" ] && CFLAGS_DEF += -D__BYTEORDER_HAS_U64__; \
-	  export CFLAGS="$(CFLAGS_DEF) -I/usr/include/tirpc" CPPFLAGS="$(CPPFLAGS_DEF)" LDFLAGS="$(LDFLAGS_DEF)" LIBS="-ltirpc"; \
- 	  ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc --enable-rpcsetquota=yes)
+	LIBS="-ltirpc"; dh_auto_configure -- --enable-rpcsetquota=yes
 
 	touch configure-stamp
 
@@ -28,7 +31,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE) CFLAGS="$(CFLAGS_DEF) -I/usr/include/tirpc" 
+	$(MAKE)
 
 	touch build-stamp
 
@@ -73,12 +76,10 @@
 	dh_installdocs
 	dh_installexamples
 	dh_installmenu
-	dh_systemd_enable quota.service
-	dh_systemd_enable --name=quotarpc quotarpc.service
+	dh_installsystemd quota.service
+	dh_installsystemd --name=quotarpc quotarpc.service
 	dh_installinit --no-start
 	dh_installinit --name=quotarpc
-	dh_systemd_start --no-start 
-	dh_systemd_start --name=quotarpc
 	#
 	# dh_installinit cannot be configured to not install the defaults
 	# file for quotarpc, so we have to manually delete it

## quota 4.06

=== debian/changelog ===
quota (4.06-1build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:51:05 +0100

quota (4.06-1build1) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 18:08:22 -0400

quota (4.06-1) unstable; urgency=medium

  * New upstream version 4.06
  * Bumped Standards-Version, no changes needed.
  * Fixed some lintian warnings.

 -- Michael Meskes <meskes@debian.org>  Tue, 09 Feb 2021 13:22:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: quota
 Section: admin
 Priority: optional
-Maintainer: Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 11), gettext, libwrap0-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Meskes <meskes@debian.org>
+Build-Depends: debhelper-compat (= 13), gettext, libwrap0-dev,
 	       e2fslibs-dev, po-debconf (>= 0.5.0), libldap2-dev,
 	       quilt (>= 0.46-7), libnl-3-dev, libnl-genl-3-dev, libdbus-1-dev,
 	       libtirpc-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: http://sourceforge.net/projects/linuxquota
 
 Package: quota
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, lsb-base (>= 3.2-13)
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: libnet-ldap-perl, rpcbind,  default-mta | mail-transport-agent
 Description: disk quota management tools
  This package provides the standard set of utilities for manipulating

## quota 4.09

=== debian/changelog ===
quota (4.09-1) unstable; urgency=medium

  * New upstream version 4.09
  * Removed (build)dependencies on obsolete packages
  * Added Romanian debconf translation.
    Thanks to Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>
    (Closes: #1033446)
  * Added build-arch and build-indep targets. (Closes: #1082038)

 -- Michael Meskes <meskes@debian.org>  Sun, 03 Nov 2024 19:21:10 +0100

quota (4.06-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install binary programs into /usr/sbin. (Closes: #1059189)
  * Update paths to /usr/sbin in (init) scripts, systemd service.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 22 Apr 2024 01:36:54 +0200

=== debian/control ===
Source: quota
Section: admin
Priority: optional
Maintainer: Michael Meskes <meskes@debian.org>
Build-Depends: debhelper-compat (= 13), gettext, libwrap0-dev,
	       libext2fs-dev, po-debconf (>= 0.5.0), libldap2-dev,
	       quilt (>= 0.46-7), libnl-3-dev, libnl-genl-3-dev, libdbus-1-dev,
	       libtirpc-dev
Standards-Version: 4.7.0
Homepage: http://sourceforge.net/projects/linuxquota

Package: quota
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0
Pre-Depends: ${misc:Pre-Depends}
Suggests: libnet-ldap-perl, rpcbind,  default-mta | mail-transport-agent
Description: disk quota management tools
 This package provides the standard set of utilities for manipulating
 file system usage caps via the Linux Diskquota system. It can set hard
 or soft limits with adjustable grace periods on block or inode usage for
 users and groups. It allows users to check their quota status,
 integrates with LDAP, and supports quotas on remote machines via NFS.

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,9 @@
 
 	touch configure-stamp
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure
 	dh_testdir
 
@@ -56,10 +58,6 @@
 
 	# Add here commands to install the package into debian/quota.
 	$(MAKE) DESTDIR=`pwd`/debian/quota install
-
-	-mv `pwd`/debian/quota/usr/sbin/quotacheck `pwd`/debian/quota/sbin
-	-mv `pwd`/debian/quota/usr/sbin/quotaon `pwd`/debian/quota/sbin
-	-mv `pwd`/debian/quota/usr/sbin/quotaoff `pwd`/debian/quota/sbin
 
 # Build architecture-independent files here.
 binary-indep: build install

## quota acct

=== acct-util/Makefile ===
#
# Makefile for making lastcomm and accton
#
# <mvw@hacktic.nl> Aug 18 1993
# <jiivee@hut.fi>  Jub 4 1994

CC = gcc
#CFLAGS = -g
CFLAGS = -O6 -m486 -Wall -fomit-frame-pointer
LDFLAGS = -N -s

PROGS = accton lastcomm accttrim
INSTALL = install

USR_SUPERBIN = /usr/sbin
MANDIR = /usr/man
MAN1 = $(MANDIR)/man1
MAN8 = $(MANDIR)/man8

all: $(PROGS)

lastcomm: lastcomm.c pathnames.h
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ lastcomm.c

accton: accton.c pathnames.h
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ accton.c

accttrim: accttrim.c pathnames.h
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ accttrim.c

clean:
	rm -f *.o core core.* $(PROGS)

clobber: clean
	rm -f $(PROGS)

install: all
	$(INSTALL) -o root -g bin -m 555 lastcomm $(USR_SUPERBIN)
	$(INSTALL) -o root -g bin -m 500 accton $(USR_SUPERBIN)
	$(INSTALL) -o root -g bin -m 500 accttrim $(USR_SUPERBIN)
	$(INSTALL) -m 444 lastcomm.1 $(MAN1)
	$(INSTALL) -m 444 accton.8 $(MAN8)
	$(INSTALL) -m 444 accttrim.8 $(MAN8)

=== quota-util/Makefile ===
PROGS = quotacheck quotaon quota repquota warnquota edquota rpc.rquotad 
CC = gcc
CFLAGS = -O6 -m486 -fexpensive-optimizations -fstrength-reduce -I.
LDFLAGS = -N -s
LLIBS = -lbsd
INSTALL = install
RPCSRC = rquota.h rquota_xdr.c rquota_clnt.c
RPCGEN = rpcgen

BINDIR = /usr/bin
SUPERBIN = /usr/sbin
MANDIR = /usr/man

all: $(PROGS)

clean:
	-rm -f core *.o $(PROGS)

clobber:
	-rm -f core *.o $(RPCSRC) $(PROGS)

install: all 
	-$(INSTALL) -o bin -g adm -m 500 quotacheck edquota \
	quotaon repquota warnquota rpc.rquotad $(ROOTDIR)$(SUPERBIN)
	-rm -f $(ROOTDIR)$(SUPERBIN)/quotaoff
	-ln $(ROOTDIR)$(SUPERBIN)/quotaon $(ROOTDIR)$(SUPERBIN)/quotaoff
	-$(INSTALL) -o bin -g bin -m 644 rquota.h rquota.x /$(ROOTDIR)usr/include/rpcsvc
	-$(INSTALL) -o root -g adm -m 4555 quota $(ROOTDIR)$(BINDIR)
	-$(INSTALL) -o bin -g bin -m 444 *.1 $(ROOTDIR)$(MANDIR)/man1
	-$(INSTALL) -o bin -g bin -m 444 *.2 $(ROOTDIR)$(MANDIR)/man2
	-$(INSTALL) -o bin -g bin -m 444 *.3 $(ROOTDIR)$(MANDIR)/man3
	-$(INSTALL) -o bin -g bin -m 444 *.8 $(ROOTDIR)$(MANDIR)/man8

quotaon: quotaon.o quotactl.o hasquota.o
	$(CC) $(LDFLAGS) -o $@ quotaon.o quotactl.o hasquota.o

quotacheck: quotacheck.o quotactl.o hasquota.o
	$(CC) $(LDFLAGS) -o $@ quotacheck.o quotactl.o hasquota.o

quota: rquota.h quota.o quotactl.o rquota_clnt.o rquota_xdr.o hasquota.o
	$(CC) $(LDFLAGS) -o $@ quota.o quotactl.o rquota_clnt.o \
	rquota_xdr.o hasquota.o

repquota: repquota.o quotactl.o hasquota.o
	$(CC) $(LDFLAGS) -o $@ repquota.o quotactl.o hasquota.o

warnquota: warnquota.o quotactl.o hasquota.o
	$(CC) $(LDFLAGS) -o $@ warnquota.o quotactl.o hasquota.o

edquota: pathnames.h edquota.o quotactl.o  hasquota.o
	$(CC) $(LDFLAGS) -o $@ edquota.o quotactl.o hasquota.o

rpc.rquotad: rquota.h rquota_server.o rquota_svc.o rquota_xdr.o quotactl.o hasquota.o
	$(CC) $(LDFLAGS) -o $@ rquota_server.o rquota_svc.o rquota_xdr.o \
	quotactl.o hasquota.o $(LLIBS)

quota.o: quota.c
	$(CC) $(CFLAGS) -DRPC -c quota.c -o $@

rquota.h:
	$(RPCGEN) -h -o $@ rquota.x

rquota_xdr.c:
	$(RPCGEN) -c -o $@ rquota.x

rquota_clnt.c:
	$(RPCGEN) -l -o $@ rquota.x
